public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Tobias Klausmann" <klausman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pycodestyle/
Date: Tue,  6 Sep 2016 11:49:48 +0000 (UTC)	[thread overview]
Message-ID: <1473162521.63b8828cea0cd0ef0cd0579f7d0a8220b0b61352.klausman@gentoo> (raw)

commit:     63b8828cea0cd0ef0cd0579f7d0a8220b0b61352
Author:     Tobias Klausmann <klausman <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  6 11:48:41 2016 +0000
Commit:     Tobias Klausmann <klausman <AT> gentoo <DOT> org>
CommitDate: Tue Sep  6 11:48:41 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63b8828c

dev-python/pycodestyle: Initial addition to the tree

This is the successor project to pep8 and  will be needed for the
upcoming bump of flake8.

 dev-python/pycodestyle/Manifest                 |  1 +
 dev-python/pycodestyle/metadata.xml             |  9 ++++++
 dev-python/pycodestyle/pycodestyle-2.0.0.ebuild | 38 +++++++++++++++++++++++++
 3 files changed, 48 insertions(+)

diff --git a/dev-python/pycodestyle/Manifest b/dev-python/pycodestyle/Manifest
new file mode 100644
index 00000000..8ad2207
--- /dev/null
+++ b/dev-python/pycodestyle/Manifest
@@ -0,0 +1 @@
+DIST pycodestyle-2.0.0.tar.gz 81701 SHA256 37f0420b14630b0eaaf452978f3a6ea4816d787c3e6dcbba6fb255030adae2e7 SHA512 c003a75bb8873d8ec09cbaf7391c75ebd4739eeab518bbea03c8b2cdc18839773190352166ded78d32992adb56895ee1502003bca11b2d63676c10facb879ac8 WHIRLPOOL 3f162936ea03c8bcd2ba7adbcb77c3d8e44549090875719c888a9fbd86bb9cbf16d4378ffc1c2f28050253520aa86753172816429bc530bc074a2f8fd3e88613

diff --git a/dev-python/pycodestyle/metadata.xml b/dev-python/pycodestyle/metadata.xml
new file mode 100644
index 00000000..639c1bc
--- /dev/null
+++ b/dev-python/pycodestyle/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person">
+    <email>klausman@gentoo.org</email>
+    <name>Tobias Klausmann</name>
+  </maintainer>
+</pkgmetadata>
+

diff --git a/dev-python/pycodestyle/pycodestyle-2.0.0.ebuild b/dev-python/pycodestyle/pycodestyle-2.0.0.ebuild
new file mode 100644
index 00000000..5edf905
--- /dev/null
+++ b/dev-python/pycodestyle/pycodestyle-2.0.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python style guide checker (fka pep8)"
+HOMEPAGE="https://pypi.python.org/pypi/pycodestyle"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py -v --statistics pycodestyle.py || die
+	PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py -v --testsuite=testsuite || die
+	PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py --doctest -v || die
+	esetup.py test
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/_build/html/. )
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2016-09-06 11:49 UTC|newest]

Thread overview: 74+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-09-06 11:49 Tobias Klausmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-11-10  8:51 [gentoo-commits] repo/gentoo:master commit in: dev-python/pycodestyle/ Tobias Klausmann
2017-01-02 17:48 Tobias Klausmann
2017-05-06 13:26 Agostino Sarubbo
2017-05-06 17:20 Agostino Sarubbo
2017-05-11 19:34 Markus Meier
2017-05-15 13:15 Lars Wendler
2017-05-21 21:37 Mart Raudsepp
2017-07-15 17:18 Tobias Klausmann
2017-08-05  9:03 Michael Palimaka
2018-02-22 17:38 Michał Górny
2018-03-02 23:39 Sergei Trofimovich
2018-03-05 21:31 Tobias Klausmann
2018-04-07 20:33 Matt Turner
2018-04-07 20:33 Matt Turner
2018-04-07 21:07 Matt Turner
2018-04-16 18:36 Sergei Trofimovich
2018-04-18 12:58 Mikle Kolyada
2018-06-11 17:50 Tobias Klausmann
2018-09-05 13:51 Louis Sautier
2018-10-14 13:29 Mikle Kolyada
2019-11-24 22:21 Andreas Sturmlechner
2019-12-02 21:13 Aaron Bauman
2020-01-02  9:58 Sergei Trofimovich
2020-01-03 12:18 Agostino Sarubbo
2020-01-03 13:42 Agostino Sarubbo
2020-01-03 13:44 Agostino Sarubbo
2020-01-03 13:56 Agostino Sarubbo
2020-01-03 14:30 Agostino Sarubbo
2020-01-03 14:33 Agostino Sarubbo
2020-01-03 23:36 Sergei Trofimovich
2020-02-11 16:17 Andreas Sturmlechner
2020-02-11 16:58 Andreas Sturmlechner
2020-03-28 17:21 Michał Górny
2020-04-15  2:49 Mike Gilbert
2020-05-26 20:43 Matt Turner
2020-06-06 16:42 Andreas Sturmlechner
2020-07-09  5:14 Michał Górny
2020-07-09  5:14 Michał Górny
2020-08-02  8:36 Michał Górny
2021-03-14 22:10 Michał Górny
2021-04-18  1:41 Sam James
2021-06-05 17:59 Michał Górny
2021-09-10 10:28 Tobias Klausmann
2021-09-10 11:28 Tobias Klausmann
2021-09-25 13:09 James Le Cuirot
2021-10-11  7:56 Michał Górny
2021-10-23 13:16 Sam James
2021-11-26 20:38 Arthur Zamarin
2021-11-30 11:06 Tobias Klausmann
2022-05-16 13:01 Andrew Ammerlaan
2022-05-23  9:38 Michał Górny
2022-05-23  9:38 Michał Górny
2022-06-22 18:16 Arthur Zamarin
2022-06-22 18:17 Arthur Zamarin
2022-07-31 18:20 Arthur Zamarin
2022-08-04 17:55 Arthur Zamarin
2022-09-06 18:24 Arthur Zamarin
2022-11-25  5:14 Michał Górny
2022-12-31 10:41 Arthur Zamarin
2022-12-31 10:55 Michał Górny
2022-12-31 10:55 Michał Górny
2023-07-30 18:27 Michał Górny
2023-09-01 16:30 Arthur Zamarin
2023-09-02  2:58 Michał Górny
2023-10-13  4:44 Michał Górny
2023-11-15 16:34 Arthur Zamarin
2023-11-15 17:10 Michał Górny
2024-06-10  8:02 Petr Vaněk
2024-06-16  5:21 Michał Górny
2024-07-06  6:26 Sam James
2024-07-06  6:35 Michał Górny
2024-08-05 11:48 Michał Górny
2024-08-24  8:10 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1473162521.63b8828cea0cd0ef0cd0579f7d0a8220b0b61352.klausman@gentoo \
    --to=klausman@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox